export default {
  content: [
    "./index.html",
    "./src/**/*.{js,jsx}",
  ],
  theme: {
    extend: {
      colors: {
        campfire: {
          amber: '#FF9D00',
          charcoal: '#2D3748',
          ember: '#FF4500',
          ash: '#A0AEC0',
          light: '#F7FAFC',
          dark: '#1A202C'
        },
        status: {
          success: '#38A169',
          warning: '#ECC94B',
          error: '#E53E3E',
          info: '#3182CE'
        }
      },
      animation: {
        'flicker': 'flicker 3s linear infinite',
        'fade-in': 'fadeIn 0.5s ease-in'
      },
      keyframes: {
        flicker: {
          '0%, 100%': { opacity: '1' },
          '50%': { opacity: '0.8' }
        },
        fadeIn: {
          '0%': { opacity: '0' },
          '100%': { opacity: '1' }
        }
      }
    }
  },
  plugins: [],
}